#!/bin/sh
# #####################################################################
#
# WBM_WPSprofileAugment_standAlone_DB2[.sh] 
#
# The script augments an existing WebSphere Process Server stand-alone profile with WebSphere Business Monitor stand-alone profile template (Database Type: DB2_Universal) using the manageprofiles command.
#
# Note: Before you run this script, make sure that you modify the parameters to suit your environment .  
#
# Note: You can run this script from any where on this machine provided the WebSphere Business Monitor home directory is correct (WBM_WPS_HOME)
# 
# For more manageprofiles options, from <WBM_WPS_HOME>/bin directory, run the following command:
#
# manageprofiles.sh -augment -templatePath <WBM_WPS_HOME>/profileTemplates/wbmonitor/default -help
#
# usage: WBM_WPSprofileAugment_standAlone_DB2.sh
#
# #####################################################################

WBM_WPS_HOME=/usr/IBM/WebSphere/MonServer

TEMPLATE_PATH=${WBM_WPS_HOME}/profileTemplates/wbmonitor/default

PROFILE_NAME=ProcSrv01

PROFILE_PATH=${WBM_WPS_HOME}/profiles/${PROFILE_NAME}

ADMIN_USER_NAME=admin

ADMIN_PASSWORD=superSecret

WBM_DB_TYPE=DB2_Universal

# Note:- Database type values are DERBY_EMBEDDED, DB2_Universal, DB2UDBOS390_V8_1, DB2UDBOS390_V9_1, Oracle11g

WBM_DB_DELAY_CONFIG=true

WBM_DB_NAME=MONITOR

WBM_DB_SCHEMA_NAME=MONITOR

WBM_DB_DRIVER_TYPE=4

WBM_DB_USER_ID=db2admin

WBM_DB_PASSWORD=superSecret

WBM_DB_HOST_NAME=dbserver.austin.ibm.com

WBM_DB_SERVER_PORT=50000

MS_DATA_STORE=true

CONFIG_HUMAN_TASK=false

## The Human Task Monitor Model configuration fails if the MONITOR database is not available during the deployment action. Hence the parameter to 'false' if the MONITOR database creation is delayed (WBM_DB_DELAY_CONFIG=true) during the profile creation.##

HUMANTASK_WPS_HOSTNAME=wps.austin.ibm.com

HUMANTASK_WPS_RMIPORT=2809

CONFIG_BSPACE=true

# Example:- /usr/IBM/WebSphere/MonServer/bin/manageprofiles.sh -augment -templatePath /usr/IBM/WebSphere/MonServer/profileTemplates/wbmonitor/default -profileName ProcSrv01 -profilePath /usr/IBM/WebSphere/MonServer/profiles/ProcSrv01 -adminUserName admin -adminPassword admin -wbmDBType DB2_Universal -wbmDBDelayConfig true -wbmDBName MONITOR -wbmDBSchemaName MONITOR -wbmDBDriverType 4 -wbmDBUserId db2admin -wbmDBPassword superSecret -wbmDBHostName dbserver.austin.ibm.com -wbmDBServerPort 50000 -msDataStore true -configureHumanTask false -humanTaskWPSHostname wps.austin.ibm.com -humanTaskWPSRMIPort 2809 -configureBSpace true

echo The WebSphere Process Server stand-alone profile is being augmented with WebSphere Business Monitor stand-alone profile template (${PROFILE_NAME} using Database Type:${WBM_DB_TYPE} )

${WBM_WPS_HOME}/bin/manageprofiles.sh -augment -templatePath ${TEMPLATE_PATH} -profileName ${PROFILE_NAME} -profilePath ${PROFILE_PATH} -adminUserName ${ADMIN_USER_NAME} -adminPassword ${ADMIN_PASSWORD} -wbmDBType ${WBM_DB_TYPE} -wbmDBDelayConfig ${WBM_DB_DELAY_CONFIG} -wbmDBName ${WBM_DB_NAME} -wbmDBSchemaName ${WBM_DB_SCHEMA_NAME} -wbmDBDriverType ${WBM_DB_DRIVER_TYPE} -wbmDBUserId ${WBM_DB_USER_ID} -wbmDBPassword ${WBM_DB_PASSWORD} -wbmDBHostName ${WBM_DB_HOST_NAME} -wbmDBServerPort ${WBM_DB_SERVER_PORT} -msDataStore ${MS_DATA_STORE} -configureHumanTask ${CONFIG_HUMAN_TASK} -humanTaskWPSHostname ${HUMANTASK_WPS_HOSTNAME} -humanTaskWPSRMIPort ${HUMANTASK_WPS_RMIPORT} -configureBSpace ${CONFIG_BSPACE}
