#!/bin/sh
# #####################################################################
#
# WBM_WPSprofileAugment_standAlone_DERBY[.sh] 
#
# The script augments an existing WebSphere Process Server stand-alone profile with WebSphere Business Monitor stand-alone profile template (Database Type: DERBY_EMBEDDED) using the manageprofiles command.
#
# Note: Before running this script, make sure that you modify the parameters to suit your environment .  
#
# Note: You can run this script from any where on this machine provided the WebSphere Business Monitor home directory is correct (WBM_WPS_HOME)
# 
# For more manageprofiles options, from <WBM_WPS_HOME>/bin directory, run the following command:
#
# manageprofiles.sh -augment -templatePath <WBM_WPS_HOME>/profileTemplates/wbmonitor/default -help
#
# usage: WBM_WPSprofileAugment_standAlone_DERBY.sh
#
# #####################################################################

WBM_WPS_HOME=/usr/IBM/WebSphere/MonServer

TEMPLATE_PATH=${WBM_WPS_HOME}/profileTemplates/wbmonitor/default

PROFILE_NAME=ProcSrv01

WBM_WPS_PROFILE_PATH=${WBM_WPS_HOME}/profiles/${PROFILE_NAME}

ADMIN_USER_NAME=admin

ADMIN_PASSWORD=superSecret

WBM_DB_TYPE=DERBY_EMBEDDED

## Note:- Possible Database type values are DERBY_EMBEDDED, DB2_Universal, DB2UDBOS390_V8_1, DB2UDBOS390_V9_1, Oracle11g ##

WBM_DB_NAME=MONITOR

WBM_DB_SCHEMA_NAME=MONITOR

MS_DATA_STORE=true

CONFIG_HUMAN_TASK=true

HUMANTASK_WPS_HOSTNAME=wps.austin.ibm.com

HUMANTASK_WPS_RMIPORT=2809

CONFIG_BSPACE=true


## Example:- /usr/IBM/WebSphere/MonServer/bin/manageprofiles.sh -augment -templatePath /usr/IBM/WebSphere/MonServer/profileTemplates/wbmonitor/default -profileName ProcSrv01 -profilePath /usr/IBM/WebSphere/MonServer/profiles/ProcSrv01 -adminUserName admin -adminPassword admin -wbmDBType DERBY_EMBEDDED -wbmDBName MONITOR -wbmDBSchemaName MONITOR -msDataStore true -configureHumanTask true -humanTaskWPSHostname wps.austin.ibm.com -humanTaskWPSRMIPort 2809 -configureBSpace true

echo The WebSphere Process Server stand-alone profile is being augmented with WebSphere Business Monitor stand-alone profile template (${PROFILE_NAME} using Database Type:${WBM_DB_TYPE} )

${WBM_WPS_HOME}/bin/manageprofiles.sh -augment -templatePath ${TEMPLATE_PATH} -profileName ${PROFILE_NAME} -profilePath ${PROFILE_PATH} -adminUserName ${ADMIN_USER_NAME} -adminPassword ${ADMIN_PASSWORD} -wbmDBType ${WBM_DB_TYPE} -wbmDBName ${WBM_DB_NAME} -wbmDBSchemaName ${WBM_DB_SCHEMA_NAME} -msDataStore ${MS_DATA_STORE} -configureHumanTask ${CONFIG_HUMAN_TASK} -humanTaskWPSHostname ${HUMANTASK_WPS_HOSTNAME} -humanTaskWPSRMIPort ${HUMANTASK_WPS_RMIPORT} -configureBSpace ${CONFIG_BSPACE}

ENDLOCAL