#!/bin/sh
# #####################################################################
#
# WBM_profileCreation_Custom[.sh] 
#
# The script creates a WebSphere Business Monitor custom profile using the manageprofiles command.
#
# Note: Before running this script, make sure that you modify the parameters to suit your environment.  
#
# Note: You can run this script from any where on this machine provided the WebSphere Business Monitor home directory is correct (WBM_HOME)
# 
# For more manageprofiles options, from <WBM_HOME>/bin directory, run the following:
#
# manageprofiles.sh -create -templatePath <WBM_HOME>/profileTemplates/wbmonitor/managed -help
#
# usage: WBM_profileCreation_Custom.sh
# 
# #####################################################################

WBM_HOME=/usr/IBM/WebSphere/MonServer

TEMPLATE_PATH=${WBM_HOME}/profileTemplates/wbmonitor/managed

PROFILE_NAME=Custom01

PROFILE_PATH=${WBM_HOME}/profiles/${PROFILE_NAME}

NODE_NAME=Custom01Node01

HOST_NAME=custom01.austin.ibm.com

DMGR_HOST=dmgr.austin.ibm.com 

DMGR_PORT=8879

DMGR_ADMIN_USER_NAME=admin

DMGR_ADMIN_PASSWORD=superSecret

FEDERATE_LATER=false 

WBM_DB_TYPE=DB2_Universal

# Note:- Possible Database type values are DERBY_EMBEDDED, DB2_Universal, DB2UDBOS390_V8_1, DB2UDBOS390_V9_1, Oracle11g

WBM_DB_JDBC_CLASSPATH=${WBM_HOME}/universalDriver.wbm/lib

# Example:- /usr/IBM/WebSphere/MonServer/bin/manageprofiles.sh -create -templatePath /usr/IBM/WebSphere/MonServer/profileTemplates/wbmonitor/managed -profileName Custom01 -profilePath /usr/IBM/WebSphere/MonServer/profiles/Custom01 -nodeName Custom01Node01 -hostName custom01.austin.ibm.com -dmgrHost dmgr.austin.ibm.com -dmgrPort 8879 -dmgrAdminUserName admin -dmgrAdminPassword superSecret -federateLater false -wbmDBType DB2_Universal -wbmDBJDBCClasspath /usr/IBM/WebSphere/MonServer/universalDriver.wbm/lib

echo The WebSphere Business Monitor Custom profile (${PROFILE_NAME}) creation is under progress

${WBM_HOME}/bin/manageprofiles.sh -create -templatePath ${TEMPLATE_PATH} -profileName ${PROFILE_NAME} -profilePath ${PROFILE_PATH} -nodeName ${NODE_NAME} -hostName ${HOST_NAME} -dmgrHost ${DMGR_HOST} -dmgrPort ${DMGR_PORT} -dmgrAdminUserName ${DMGR_ADMIN_USER_NAME} -dmgrAdminPassword ${DMGR_ADMIN_PASSWORD} -federateLater ${FEDERATE_LATER} -wbmDBType ${WBM_DB_TYPE} -wbmDBJDBCClasspath ${WBM_DB_JDBC_CLASSPATH}
