#!/bin/sh
#####################################################################
#
# WBM_profileCreation_Dmgr[.sh] 
#
# The script creates a WebSphere Business Monitor Deployment Manager profile with DB2_Universal as database using the manageprofiles command.
#
# Note: Before running this script, make sure that you modify the parameters to suit your environment.  
#
# Note: You can run this script from any where on this machine provided the WebSphere Business Monitor home directory is correct (WBM_HOME)
# 
# For more manageprofiles options, from <WBM_HOME>/bin directory, run the following:
#
# manageprofiles.sh -create -templatePath <WBM_HOME>/profileTemplates/wbmonitor/dmgr -help
#
# usage: WBM_profileCreation_Dmgr.sh
#
# #####################################################################

WBM_HOME=/usr/IBM/WebSphere/MonServer

TEMPLATE_PATH=${WBM_HOME}/profileTemplates/wbmonitor/dmgr

PROFILE_NAME=Dmgr01

PROFILE_PATH=${WBM_HOME}/profiles/${PROFILE_NAME}

NODE_NAME=wbmCellManager01

CELL_NAME=wbmCell01

HOST_NAME=dmgr.austin.ibm.com

ENABLE_ADMIN_SECURITY=true

ADMIN_USER_NAME=admin

ADMIN_PASSWORD=superSecret

WBM_DB_TYPE=DB2_Universal

# Note:- Possible Database type values  are DERBY_EMBEDDED, DB2_Universal, DB2UDBOS390_V8_1, DB2UDBOS390_V9_1, Oracle11g

WBM_DB_DELAY_CONFIG=true

WBM_DB_NAME=MONITOR

WBM_DB_SCHEMA_NAME=MONITOR

WBM_DB_DRIVER_TYPE=4

WBM_DB_USER_ID=db2admin

WBM_DB_PASSWORD=superSecret

WBM_DB_HOST_NAME=dbserver.austin.ibm.com

WBM_DB_SERVER_PORT=50000

WBM_DB_JDBC_CLASSPATH=${WBM_HOME}/universalDriver.wbm/lib

# Example:- /usr/IBM/WebSphere/MonServer/bin/manageprofiles.sh -create -templatePath /usr/IBM/WebSphere/MonServer/profileTemplates/wbmonitor/dmgr -profileName Dmgr01 -profilePath /usr/IBM/WebSphere/MonServer/profiles/Dmgr01 -nodeName wbmCellManager01 -cellName wbmCell01 -hostName dmgr.austin.ibm.com -enableAdminSecurity true -adminUserName admin -adminPassword superSecret -wbmDBType DB2_Universal -wbmDBDelayConfig true -wbmDBName MONITOR -wbmDBSchemaName MONITOR -wbmDBDriverType 4 -wbmDBUserId db2admin -wbmDBPassword superSecret -wbmDBHostName dbserver.austin.ibm.com -wbmDBServerPort 50000 -wbmDBJDBCClasspath /usr/IBM/WebSphere/MonServer/universalDriver.wbm/lib

echo The WebSphere Business Monitor Deployment Manager profile (${PROFILE_NAME} using Database Type:${WBM_DB_TYPE} ) creation is under progress

${WBM_HOME}/bin/manageprofiles.sh -create -templatePath ${TEMPLATE_PATH} -profileName ${PROFILE_NAME} -profilePath ${PROFILE_PATH} -nodeName ${NODE_NAME} -cellName ${CELL_NAME} -hostName ${HOST_NAME} -enableAdminSecurity ${ENABLE_ADMIN_SECURITY} -adminUserName ${ADMIN_USER_NAME} -adminPassword ${ADMIN_PASSWORD} -wbmDBType ${WBM_DB_TYPE} -wbmDBDelayConfig ${WBM_DB_DELAY_CONFIG} -wbmDBName ${WBM_DB_NAME} -wbmDBSchemaName ${WBM_DB_SCHEMA_NAME} -wbmDBDriverType ${WBM_DB_DRIVER_TYPE} -wbmDBUserId ${WBM_DB_USER_ID} -wbmDBPassword ${WBM_DB_PASSWORD} -wbmDBHostName ${WBM_DB_HOST_NAME} -wbmDBServerPort ${WBM_DB_SERVER_PORT} -wbmDBJDBCClasspath ${WBM_DB_JDBC_CLASSPATH}

