#!/bin/sh
# #####################################################################
#
# WBM_profileCreation_standAlone_DB2[.sh] 
#
# The script creates a WebSphere Business Monitor stand-alone profile with DB2_Universal as database using the manageprofiles command.
#
# Note: Before running this script, make sure that you modify the parameters to suit your environment.  
#
# Note: You can run this script from any where on this machine provided the WebSphere Business Monitor home directory is correct (WBM_HOME)
# 
# For more manageprofiles options, from <WBM_HOME>/bin directory, run the following command:
#
# manageprofiles.sh -create -templatePath <WBM_HOME>/profileTemplates/wbmonitor/default -help
#
# usage: WBM_profileCreation_standAlone_DB2.sh
#
# #####################################################################

WBM_HOME=/usr/IBM/WebSphere/MonServer

TEMPLATE_PATH=${WBM_HOME}/profileTemplates/wbmonitor/default

PROFILE_NAME=WBMon01

PROFILE_PATH=${WBM_HOME}/profiles/${PROFILE_NAME}

NODE_NAME=wbmNode01

CELL_NAME=wbmNode01Cell

HOST_NAME=wbm.austin.ibm.com

ENABLE_ADMIN_SECURITY=true

ADMIN_USER_NAME=admin

ADMIN_PASSWORD=superSecret

WINSERVICE_CHECK=false

WBM_DB_TYPE=DB2_Universal

# Note:- Database type values are DERBY_EMBEDDED, DB2_Universal, DB2UDBOS390_V8_1, DB2UDBOS390_V9_1, Oracle11g

WBM_DB_DELAY_CONFIG=true

WBM_DB_NAME=MONITOR

WBM_DB_SCHEMA_NAME=MONITOR

WBM_DB_DRIVER_TYPE=4

WBM_DB_USER_ID=db2admin

WBM_DB_PASSWORD=superSecret

WBM_DB_HOST_NAME=dbserver.austin.ibm.com

WBM_DB_SERVER_PORT=50000

CEI_DB_PRODUCT=CEI_DB_DB2

# Note:- Possible Database type values are CEI_DB_DERBY_EMBEDDED, CEI_DB_DB2, CEI_DB2_ZOS, CEI_DB_ORACLE

CEI_DB_NAME=EVENT

CEI_DB_EXEC_SCRIPTS=false

CEI_DB_USER=db2admin

CEI_DB_PASSWORD=superSecret

CEI_JDBC_CLASSPATH=${WBM_HOME}/universalDriver.wbm/lib

CEI_DB_HOSTNAME=dbserver.austin.ibm.com

CEI_DB_PORT=50000

MS_DATA_STORE=true

CONFIG_HUMAN_TASK=false

# ## The Human Task Monitor Model configuration fails if the MONITOR database is not available during the deployment action. Hence the parameter to 'false' if the MONITOR database creation is delayed (WBM_DB_DELAY_CONFIG=true) during the profile creation.##

HUMANTASK_WPS_HOSTNAME=wps.austin.ibm.com

HUMANTASK_WPS_RMIPORT=2809

CONFIG_BSPACE=true

SAMPLES_PASSWORD=superSecret

# Example:- /usr/IBM/WebSphere/MonServer/bin/manageprofiles.sh -create -templatePath /usr/IBM/WebSphere/MonServer/profileTemplates/wbmonitor/default -profileName WBMon01 -profilePath /usr/IBM/WebSphere/MonServer/profiles/WBMon01 -cellName wbmNode01Cell -nodeName wbmNode01 -hostName wbm.austin.ibm.com -enableAdminSecurity true -adminUserName admin -adminPassword admin -winserviceCheck false -wbmDBType DB2_Universal -wbmDBDelayConfig true -wbmDBName MONITOR -wbmDBSchemaName MONITOR -wbmDBDriverType 4 -wbmDBUserId db2admin -wbmDBPassword supersecret -wbmDBHostName dbserver.austin.ibm.com -wbmDBServerPort 50000 -ceiDbProduct CEI_DB_DB2 -wbmCeiDbName EVENT -ceiDbExecuteScripts false -ceiDbUser db2admin -ceiDbPassword superSecret -ceiJDBCClassPath /usr/IBM/WebSphere/MonServer/universalDriver.wbm/lib -ceiDbHostName dbserver.austin.ibm.com -ceiDbPort 50000 -msDataStore true -configureHumanTask true -humanTaskWPSHostname wps.austin.ibm.com -humanTaskWPSRMIPort 2809 -configureBSpace true -samplesPassword superSecret 

echo The WebSphere Business Monitor stand-alone profile (${PROFILE_NAME} using Database Type:${WBM_DB_TYPE} ) creation is under progress

${WBM_HOME}/bin/manageprofiles.sh -create -templatePath ${TEMPLATE_PATH} -profileName ${PROFILE_NAME} -profilePath ${PROFILE_PATH} -cellName ${CELL_NAME} -nodeName ${NODE_NAME} -hostName ${HOST_NAME} -enableAdminSecurity ${ENABLE_ADMIN_SECURITY} -adminUserName ${ADMIN_USER_NAME} -adminPassword ${ADMIN_PASSWORD} -winserviceCheck ${WINSERVICE_CHECK} -wbmDBType ${WBM_DB_TYPE} -wbmDBDelayConfig ${WBM_DB_DELAY_CONFIG} -wbmDBName ${WBM_DB_NAME} -wbmDBSchemaName ${WBM_DB_SCHEMA_NAME} -wbmDBDriverType ${WBM_DB_DRIVER_TYPE} -wbmDBUserId ${WBM_DB_USER_ID} -wbmDBPassword ${WBM_DB_PASSWORD} -wbmDBHostName ${WBM_DB_HOST_NAME} -wbmDBServerPort ${WBM_DB_SERVER_PORT} -ceiDbProduct ${CEI_DB_PRODUCT} -wbmCeiDbName ${CEI_DB_NAME} -ceiDbExecuteScripts ${CEI_DB_EXEC_SCRIPTS} -ceiDbUser ${CEI_DB_USER} -ceiDbPassword ${CEI_DB_PASSWORD} -ceiJDBCClassPath ${CEI_JDBC_CLASSPATH} -ceiDbHostName ${CEI_DB_HOSTNAME} -ceiDbPort ${CEI_DB_PORT} -msDataStore ${MS_DATA_STORE} -configureHumanTask ${CONFIG_HUMAN_TASK} -humanTaskWPSHostname ${HUMANTASK_WPS_HOSTNAME} -humanTaskWPSRMIPort ${HUMANTASK_WPS_RMIPORT} -configureBSpace ${CONFIG_BSPACE} -samplesPassword ${SAMPLES_PASSWORD}

