#!/bin/sh
# #####################################################################
#
# WBM_profileCreation_standAlone_DERBY[.sh] 
#
# The script creates a WebSphere Business Monitor stand-alone profile with DERBY_EMBEDDED as database using the manageprofiles command.
#
# Note: Before running this script, make sure that you modify the parameters to suit your environment .  
#
# For more manageprofiles options, from <WBM_HOME>/bin directory, run the following command:
#
# manageprofiles.sh -create -templatePath <WBM_HOME>/profileTemplates/wbmonitor/default -help
#
# usage: WBM_profileCreation_standAlone_DERBY.sh
#
# #####################################################################

WBM_HOME=/usr/IBM/WebSphere/MonServer

TEMPLATE_PATH=${WBM_HOME}/profileTemplates/wbmonitor/default

PROFILE_NAME=WBMon01

PROFILE_PATH=${WBM_HOME}/profiles/${PROFILE_NAME}

NODE_NAME=wbmNode01

CELL_NAME=wbmNode01Cell

HOST_NAME=wbm.austin.ibm.com

ENABLE_ADMIN_SECURITY=true

ADMIN_USER_NAME=admin

ADMIN_PASSWORD=superSecret

WINSERVICE_CHECK=false

WBM_DB_TYPE=DERBY_EMBEDDED

## Note:- Possible Database type vales are DERBY_EMBEDDED, DB2_Universal, DB2UDBOS390_V8_1, DB2UDBOS390_V9_1, Oracle11g ##

WBM_DB_NAME=MONITOR

WBM_DB_SCHEMA_NAME=MONITOR

CEI_DB_PRODUCT=CEI_DB_DERBY_EMBEDDED

## Note:- Database type values are CEI_DB_DERBY_EMBEDDED, CEI_DB_DB2, CEI_DB2_ZOS, CEI_DB_ORACLE ##

CEI_DB_NAME=EVENT

MS_DATA_STORE=true

CONFIG_HUMAN_TASK=true

HUMANTASK_WPS_HOSTNAME=wps.austin.ibm.com

HUMANTASK_WPS_RMIPORT=2809

CONFIG_BSPACE=true

SAMPLES_PASSWORD=superSecret

## Example:- /usr/IBM/WebSphere/MonServer/bin/manageprofiles.sh -create -templatePath /usr/IBM/WebSphere/MonServer/profileTemplates/wbmonitor/default -profileName WBMon01 -profilePath /usr/IBM/WebSphere/MonServer/profiles/WBMon01 -cellName wbmNode01Cell -nodeName wbmNode01 -hostName wbm.austin.ibm.com -enableAdminSecurity true -adminUserName admin -adminPassword admin -winserviceCheck false -wbmDBType DERBY_EMBEDDED -wbmDBName MONITOR -wbmDBSchemaName MONITOR -ceiDbProduct CEI_DB_DERBY_EMBEDDED -wbmCeiDbName EVENT -msDataStore true -configureHumanTask true -humanTaskWPSHostname wps.austin.ibm.com -humanTaskWPSRMIPort 2809 -configureBSpace true -samplesPassword superSecret

echo The WebSphere Business Monitor stand-alone profile (${PROFILE_NAME} using Database Type:${WBM_DB_TYPE} ) creation is under progress

${WBM_HOME}/bin/manageprofiles.sh -create -templatePath ${TEMPLATE_PATH} -profileName ${PROFILE_NAME} -profilePath ${PROFILE_PATH} -cellName ${CELL_NAME} -nodeName ${NODE_NAME} -hostName ${HOST_NAME} -enableAdminSecurity ${ENABLE_ADMIN_SECURITY} -adminUserName ${ADMIN_USER_NAME} -adminPassword ${ADMIN_PASSWORD} -winserviceCheck ${WINSERVICE_CHECK} -wbmDBType=${WBM_DB_TYPE} -wbmDBName ${WBM_DB_NAME} -wbmDBSchemaName ${WBM_DB_SCHEMA_NAME} -ceiDbProduct ${CEI_DB_PRODUCT} -wbmCeiDbName ${CEI_DB_NAME} -msDataStore ${MS_DATA_STORE} -configureHumanTask ${CONFIG_HUMAN_TASK} -humanTaskWPSHostname ${HUMANTASK_WPS_HOSTNAME} -humanTaskWPSRMIPort ${HUMANTASK_WPS_RMIPORT} -configureBSpace ${CONFIG_BSPACE} -samplesPassword ${SAMPLES_PASSWORD}

