#!/bin/sh
# #####################################################################
#
# WBM_profileCreation_standAlone_Typical[.sh] 
#
# This script creates a WebSphere Business Monitor stand-alone profile, takeing the default profile creation options using the manageprofiles command.
#
# Note: Before running this script, make sure that you modify the parameters to suit your environment .  
#
# Note: You can run this script from any where on this machine provided the WebSphere Business Monitor home directory is correct (WBM_HOME)
# 
# For more manageprofiles options, from <WBM_HOME>/bin directory, run the following:
#
# manageprofiles.sh -create -templatePath <WBM_HOME>/profileTemplates/wbmonitor/default -help
#
# usage: WBM_profileCreation_standAlone_Typical.sh
#
# #####################################################################

WBM_HOME=/usr/IBM/WebSphere/MonServer

TEMPLATE_PATH=${WBM_HOME}/profileTemplates/wbmonitor/default

PROFILE_NAME=WBMon01

PROFILE_PATH=${WBM_HOME}/profiles/${PROFILE_NAME}

NODE_NAME=wbmNode01

CELL_NAME=wbmNode01Cell

HOST_NAME=wbm.austin.ibm.com

ENABLE_ADMIN_SECURITY=true

ADMIN_USER_NAME=admin

ADMIN_PASSWORD=superSecret

SAMPLES_PASSWORD=superSecret


# Example:- -create -templatePath /usr/IBM/WebSphere/MonServer/profileTemplates/wbmonitor/default -profileName WBMon01 -profilePath /usr/IBM/WebSphere/MonServer/profiles/WBMon01 -cellName wbmNode01Cell -nodeName wbmNode01 -hostName wps.austin.ibm.com -enableAdminSecurity true -adminUserName admin -adminPassword admin -samplesPassword admin

echo The WebSphere Business Monitor stand-alone profile (${PROFILE_NAME}) creation is under progress

${WBM_HOME}/bin/manageprofiles.sh -create -templatePath ${TEMPLATE_PATH} -profileName ${PROFILE_NAME} -profilePath ${PROFILE_PATH} -cellName ${CELL_NAME} -nodeName ${NODE_NAME} -hostName ${HOST_NAME} -enableAdminSecurity ${ENABLE_ADMIN_SECURITY} -adminUserName ${ADMIN_USER_NAME} -adminPassword ${ADMIN_PASSWORD} -samplesPassword ${SAMPLES_PASSWORD}


