@echo off
REM #####################################################################
REM
REM WBM_WPSprofileAugment_standAlone_DB2[.bat] 
REM
REM The script augments an existing WebSphere Process Server stand-alone profile with WebSphere Business Monitor stand-alone profile template (Database Type: DB2_Universal) using the manageprofiles command.
REM
REM Note: Before running this script, make sure that you modify the parameters to suit your environment. 
REM
REM Note: You can run this script from any where on this machine provided the WebSphere Business Monitor home directory is correct (WBM_WPS_HOME)
REM 
REM For more manageprofiles options, from <WBM_WPS_HOME>\bin directory, run the following command:
REM
REM manageprofiles.bat -augment -templatePath <WBM_WPS_HOME>/profileTemplates/wbmonitor/default -help
REM
REM usage: WBM_WPSprofileAugment_standAlone_DB2.bat
REM
REM #####################################################################
SETLOCAL

SET WBM_WPS_HOME=C:\IBM\WebSphere\ProcServer

SET TEMPLATE_PATH=%WBM_WPS_HOME%\profileTemplates\wbmonitor\default

SET PROFILE_NAME=ProcSrv01

SET PROFILE_PATH=%WBM_WPS_HOME%\profiles\%PROFILE_NAME%

SET ADMIN_USER_NAME=admin

SET ADMIN_PASSWORD=superSecret

SET WBM_DB_TYPE=DB2_Universal

REM Note:- Database types  are DERBY_EMBEDDED, DB2_Universal, DB2UDBOS390_V8_1, DB2UDBOS390_V9_1, Oracle11g

SET WBM_DB_DELAY_CONFIG=true

SET WBM_DB_NAME=MONITOR

SET WBM_DB_SCHEMA_NAME=MONITOR

SET WBM_DB_DRIVER_TYPE=4

SET WBM_DB_USER_ID=db2admin

SET WBM_DB_PASSWORD=superSecret

SET WBM_DB_HOST_NAME=dbserver.austin.ibm.com

SET WBM_DB_SERVER_PORT=50000

SET MS_DATA_STORE=true

SET CONFIG_HUMAN_TASK=false

REM ## The Human Task Monitor Model configuration fails if the MONITOR database is not available during the deployment action. Hence set the parameter to 'false' if the MONITOR database creation is delayed (WBM_DB_DELAY_CONFIG=true) during the profile creation.##

SET HUMANTASK_WPS_HOSTNAME=wps.austin.ibm.com

SET HUMANTASK_WPS_RMIPORT=2809

SET CONFIG_BSPACE=true


REM Example:- C:\IBM\WebSphere\ProcServer\bin\manageprofiles.bat -augment -templatePath C:\IBM\WebSphere\ProcServer\profileTemplates\wbmonitor\default -profileName ProcSrv01 -profilePath C:\IBM\WebSphere\ProcServer\profiles\ProcSrv01 -adminUserName admin -adminPassword admin -wbmDBType DB2_Universal -wbmDBDelayConfig true -wbmDBName MONITOR -wbmDBSchemaName MONITOR -wbmDBDriverType 4 -wbmDBUserId db2admin -wbmDBPassword superSecret -wbmDBHostName dbserver.austin.ibm.com -wbmDBServerPort 50000 -msDataStore true -configureHumanTask false -humanTaskWPSHostname wps.austin.ibm.com -humanTaskWPSRMIPort 2809 -configureBSpace true

echo The WebSphere Process Server stand-alone profile is being augmented with WebSphere Business Monitor stand-alone profile template (%PROFILE_NAME% using Database Type:%WBM_DB_TYPE% )

%WBM_WPS_HOME%\bin\manageprofiles.bat -augment -templatePath %TEMPLATE_PATH% -profileName %PROFILE_NAME% -profilePath %PROFILE_PATH% -adminUserName %ADMIN_USER_NAME% -adminPassword %ADMIN_PASSWORD% -wbmDBType %WBM_DB_TYPE% -wbmDBDelayConfig %WBM_DB_DELAY_CONFIG% -wbmDBName %WBM_DB_NAME% -wbmDBSchemaName %WBM_DB_SCHEMA_NAME% -wbmDBDriverType %WBM_DB_DRIVER_TYPE% -wbmDBUserId %WBM_DB_USER_ID% -wbmDBPassword %WBM_DB_PASSWORD% -wbmDBHostName %WBM_DB_HOST_NAME% -wbmDBServerPort %WBM_DB_SERVER_PORT% -msDataStore %MS_DATA_STORE% -configureHumanTask %CONFIG_HUMAN_TASK% -humanTaskWPSHostname %HUMANTASK_WPS_HOSTNAME% -humanTaskWPSRMIPort %HUMANTASK_WPS_RMIPORT% -configureBSpace %CONFIG_BSPACE%

ENDLOCAL