@echo off
REM #####################################################################
REM
REM WBM_WPSprofileAugment_standAlone_DERBY.bat[.bat] 
REM
REM The script augments an existing WebSphere Process Server stand-alone profile with WebSphere Business Monitor stand-alone profile template (Database Type: DERBY_EMBEDDED) using the manageprofiles command.
REM
REM Note: Before running this script, make sure that you modify the parameters to suit your environment.
REM
REM Note: You can run this script from any where on this machine provided the WebSphere Business Monitor home directory is correct (WBM_WPS_HOME)
REM 
REM For more manageprofiles options, from <WBM_WPS_HOME>\bin directory, run the following command:
REM
REM manageprofiles.bat -augment -templatePath <WBM_WPS_HOME>/profileTemplates/wbmonitor/default -help
REM
REM usage: WBM_WPSprofileAugment_standAlone_DERBY.bat
REM
REM #####################################################################
SETLOCAL

SET WBM_WPS_HOME=C:\IBM\WebSphere\ProcServer

SET TEMPLATE_PATH=%WBM_WPS_HOME%\profileTemplates\wbmonitor\default

SET PROFILE_NAME=ProcSrv01

SET WBM_WPS_PROFILE_PATH=%WBM_WPS_HOME%\profiles\%PROFILE_NAME%

SET ADMIN_USER_NAME=admin

SET ADMIN_PASSWORD=superSecret

SET WBM_DB_TYPE=DERBY_EMBEDDED

REM ## Note:- Possible Database type values  are DERBY_EMBEDDED, DB2_Universal, DB2UDBOS390_V8_1, DB2UDBOS390_V9_1, Oracle11g ##

SET WBM_DB_NAME=MONITOR

SET WBM_DB_SCHEMA_NAME=MONITOR

SET MS_DATA_STORE=true

SET CONFIG_HUMAN_TASK=true

SET HUMANTASK_WPS_HOSTNAME=wps.austin.ibm.com

SET HUMANTASK_WPS_RMIPORT=2809

SET CONFIG_BSPACE=true

REM Example:- C:\IBM\WebSphere\ProcServer\bin\manageprofiles.bat -augment -templatePath C:\IBM\WebSphere\ProcServer\profileTemplates\wbmonitor\default -profileName ProcSrv01 -profilePath C:\IBM\WebSphere\ProcServer\profiles\ProcSrv01 -adminUserName admin -adminPassword admin -wbmDBType DERBY_EMBEDDED -wbmDBName MONITOR -wbmDBSchemaName MONITOR -msDataStore true -configureHumanTask true -humanTaskWPSHostname wps.austin.ibm.com -humanTaskWPSRMIPort 2809 -configureBSpace true

echo The WebSphere Process Server stand-alone profile is being augmented with WebSphere Business Monitor stand-alone profile template (%PROFILE_NAME% using Database Type:%WBM_DB_TYPE% )

%WBM_WPS_HOME%\bin\manageprofiles.bat -augment -templatePath %TEMPLATE_PATH% -profileName %PROFILE_NAME% -profilePath %PROFILE_PATH% -adminUserName %ADMIN_USER_NAME% -adminPassword %ADMIN_PASSWORD% -wbmDBType %WBM_DB_TYPE% -wbmDBName %WBM_DB_NAME% -wbmDBSchemaName %WBM_DB_SCHEMA_NAME% -msDataStore %MS_DATA_STORE% -configureHumanTask %CONFIG_HUMAN_TASK% -humanTaskWPSHostname %HUMANTASK_WPS_HOSTNAME% -humanTaskWPSRMIPort %HUMANTASK_WPS_RMIPORT% -configureBSpace %CONFIG_BSPACE%

ENDLOCAL