@echo off
REM #####################################################################
REM
REM WBM_profileCreation_Custom[.bat] 
REM
REM The script creates a WebSphere Business Monitor custom profile using the manageprofiles command.
REM
REM Note: Before running this script, make sure that you modify the parameters to suit your environment. 
REM
REM Note: You can run this script from any where on this machine provided the WebSphere Business Monitor home directory is correct (WBM_HOME)
REM 
REM For more manageprofiles options, from <WBM_HOME>\bin directory, run the following:
REM
REM manageprofiles.bat -create -templatePath <WBM_HOME>/profileTemplates/wbmonitor/managed -help
REM
REM usage: WBM_profileCreation_Custom.bat
REM 
REM #####################################################################
SETLOCAL

SET WBM_HOME=C:\IBM\WebSphere\MonServer

SET TEMPLATE_PATH=%WBM_HOME%\profileTemplates\wbmonitor\managed

SET PROFILE_NAME=Custom01

SET PROFILE_PATH=%WBM_HOME%\profiles\%PROFILE_NAME%

SET NODE_NAME=Custom01Node01

SET HOST_NAME=custom01.austin.ibm.com

SET DMGR_HOST=dmgr.austin.ibm.com 

SET DMGR_PORT=8879

SET DMGR_ADMIN_USER_NAME=admin

SET DMGR_ADMIN_PASSWORD=superSecret

SET FEDERATE_LATER=false 

SET WBM_DB_TYPE=DB2_Universal

REM Note:- Possible Database type values are DERBY_EMBEDDED, DB2_Universal, DB2UDBOS390_V8_1, DB2UDBOS390_V9_1, Oracle11g

SET WBM_DB_JDBC_CLASSPATH=%WBM_HOME%\universalDriver.wbm\lib

REM Example:- C:\IBM\WebSphere\MonServer\bin\manageprofiles.bat -create -templatePath C:\IBM\WebSphere\MonServer\profileTemplates\wbmonitor\managed -profileName Custom01 -profilePath C:\IBM\WebSphere\MonServer\profiles\Custom01 -nodeName Custom01Node01 -hostName custom01.austin.ibm.com -dmgrHost dmgr.austin.ibm.com -dmgrPort 8879 -dmgrAdminUserName admin -dmgrAdminPassword superSecret -federateLater false -wbmDBType DB2_Universal -wbmDBJDBCClasspath C:\IBM\WebSphere\MonServer\universalDriver.wbm\lib

echo The WebSphere Business Monitor Custom profile (%PROFILE_NAME%) creation is under progress

%WBM_HOME%\bin\manageprofiles.bat -create -templatePath %TEMPLATE_PATH% -profileName %PROFILE_NAME% -profilePath %PROFILE_PATH% -nodeName %NODE_NAME% -hostName %HOST_NAME% -dmgrHost %DMGR_HOST% -dmgrPort %DMGR_PORT% -dmgrAdminUserName %DMGR_ADMIN_USER_NAME% -dmgrAdminPassword %DMGR_ADMIN_PASSWORD% -federateLater %FEDERATE_LATER% -wbmDBType %WBM_DB_TYPE% -wbmDBJDBCClasspath %WBM_DB_JDBC_CLASSPATH%

ENDLOCAL

