@echo off
REM #####################################################################
REM
REM WBM_profileCreation_Dmgr[.bat] 
REM
REM The script creates a WebSphere Business Monitor Deployment Manager profile with DB2_Universal as database using the manageprofiles command.
REM
REM Note: Before running this script, make sure that you modify the parameters to suit your environment.  
REM
REM Note: You can run this script from any where on this machine provided the WebSphere Business Monitor home directory is correct (WBM_HOME)
REM 
REM For more manageprofiles options, from <WBM_HOME>\bin directory, run the following:
REM
REM manageprofiles.bat -create -templatePath <WBM_HOME>/profileTemplates/wbmonitor/dmgr -help
REM
REM usage: WBM_profileCreation_Dmgr.bat
REM
REM #####################################################################
SETLOCAL

SET WBM_HOME=C:\IBM\WebSphere\MonServer

SET TEMPLATE_PATH=%WBM_HOME%\profileTemplates\wbmonitor\dmgr

SET PROFILE_NAME=Dmgr01

SET PROFILE_PATH=%WBM_HOME%\profiles\%PROFILE_NAME%

SET NODE_NAME=wbmCellManager01

SET CELL_NAME=wbmCell01

SET HOST_NAME=dmgr.austin.ibm.com

SET ENABLE_ADMIN_SECURITY=true

SET ADMIN_USER_NAME=admin

SET ADMIN_PASSWORD=superSecret

SET WINSERVICE_CHECK=false

SET WBM_DB_TYPE=DB2_Universal

REM Note:- Possible Database type values  are DERBY_EMBEDDED, DB2_Universal, DB2UDBOS390_V8_1, DB2UDBOS390_V9_1, Oracle11g

SET WBM_DB_DELAY_CONFIG=true

SET WBM_DB_NAME=MONITOR

SET WBM_DB_SCHEMA_NAME=MONITOR

SET WBM_DB_DRIVER_TYPE=4

SET WBM_DB_USER_ID=db2admin

SET WBM_DB_PASSWORD=superSecret

SET WBM_DB_HOST_NAME=dbserver.austin.ibm.com

SET WBM_DB_SERVER_PORT=50000

SET WBM_DB_JDBC_CLASSPATH=%WBM_HOME%\universalDriver.wbm\lib

REM Example:- C:\IBM\WebSphere\MonServer\bin\manageprofiles.bat -create -templatePath C:\IBM\WebSphere\MonServer\profileTemplates\wbmonitor\dmgr -profileName Dmgr01 -profilePath C:\IBM\WebSphere\MonServer\profiles\Dmgr01 -nodeName wbmCellManager01 -cellName wbmCell01 -hostName dmgr.austin.ibm.com -enableAdminSecurity true -adminUserName admin -adminPassword superSecret -winserviceCheck false -wbmDBType DB2_Universal -wbmDBDelayConfig true -wbmDBName MONITOR -wbmDBSchemaName MONITOR -wbmDBDriverType 4 -wbmDBUserId db2admin -wbmDBPassword superSecret -wbmDBHostName dbserver.austin.ibm.com -wbmDBServerPort 50000 -wbmDBJDBCClasspath C:\IBM\WebSphere\MonServer\universalDriver.wbm\lib

echo The WebSphere Business Monitor Deployment Manager profile (%PROFILE_NAME% using Database Type:%WBM_DB_TYPE% ) creation is under progress

%WBM_HOME%\bin\manageprofiles.bat -create -templatePath %TEMPLATE_PATH% -profileName %PROFILE_NAME% -profilePath %PROFILE_PATH% -nodeName %NODE_NAME% -cellName %CELL_NAME% -hostName %HOST_NAME% -enableAdminSecurity %ENABLE_ADMIN_SECURITY% -adminUserName %ADMIN_USER_NAME% -adminPassword %ADMIN_PASSWORD% -winserviceCheck %WINSERVICE_CHECK% -wbmDBType %WBM_DB_TYPE% -wbmDBDelayConfig %WBM_DB_DELAY_CONFIG% -wbmDBName %WBM_DB_NAME% -wbmDBSchemaName %WBM_DB_SCHEMA_NAME% -wbmDBDriverType %WBM_DB_DRIVER_TYPE% -wbmDBUserId %WBM_DB_USER_ID% -wbmDBPassword %WBM_DB_PASSWORD% -wbmDBHostName %WBM_DB_HOST_NAME% -wbmDBServerPort %WBM_DB_SERVER_PORT% -wbmDBJDBCClasspath %WBM_DB_JDBC_CLASSPATH%

ENDLOCAL