@echo off
REM #####################################################################
REM
REM WBM_profileCreation_standAlone_DERBY[.bat] 
REM
REM The script creates a WebSphere Business Monitor stand-alone profile with DERBY_EMBEDDED as database using the manageprofiles command.
REM
REM Note: Before running this script, make sure that you modify the parameters to suit your environment.  
REM
REM Note: You can run this script from any where on this machine provided the WebSphere Business Monitor home directory is correct (WBM_HOME)
REM 
REM For more manageprofiles options, from <WBM_HOME>\bin directory, run the following command:
REM
REM manageprofiles.bat -create -templatePath <WBM_HOME>/profileTemplates/wbmonitor/default -help
REM
REM usage: WBM_profileCreation_standAlone_DERBY.bat
REM
REM #####################################################################
SETLOCAL

SET WBM_HOME=C:\IBM\WebSphere\MonServer

SET TEMPLATE_PATH=%WBM_HOME%\profileTemplates\wbmonitor\default

SET PROFILE_NAME=WBMon01

SET PROFILE_PATH=%WBM_HOME%\profiles\%PROFILE_NAME%

SET NODE_NAME=wbmNode01

SET CELL_NAME=wbmNode01Cell

SET HOST_NAME=wbm.austin.ibm.com

SET ENABLE_ADMIN_SECURITY=true

SET ADMIN_USER_NAME=admin

SET ADMIN_PASSWORD=superSecret

SET WINSERVICE_CHECK=false

SET WBM_DB_TYPE=DERBY_EMBEDDED

REM ## Note:- Possible Database type vales  are DERBY_EMBEDDED, DB2_Universal, DB2UDBOS390_V8_1, DB2UDBOS390_V9_1, Oracle11g ##

SET WBM_DB_NAME=MONITOR

SET WBM_DB_SCHEMA_NAME=MONITOR

SET CEI_DB_PRODUCT=CEI_DB_DERBY_EMBEDDED

REM ## Note:- Database types  are CEI_DB_DERBY_EMBEDDED, CEI_DB_DB2, CEI_DB2_ZOS, CEI_DB_ORACLE ##

SET CEI_DB_NAME=EVENT

SET MS_DATA_STORE=true

SET CONFIG_HUMAN_TASK=true

SET HUMANTASK_WPS_HOSTNAME=wps.austin.ibm.com

SET HUMANTASK_WPS_RMIPORT=2809

SET CONFIG_BSPACE=true

SET SAMPLES_PASSWORD=superSecret

REM Example:- C:\IBM\WebSphere\MonServer\bin\manageprofiles.bat -create -templatePath C:\IBM\WebSphere\MonServer\profileTemplates\wbmonitor\default -profileName WBMon01 -profilePath C:\IBM\WebSphere\MonServer\profiles\WBMon01 -cellName wbmNode01Cell -nodeName wbmNode01 -hostName wbm.austin.ibm.com -enableAdminSecurity true -adminUserName admin -adminPassword admin -winserviceCheck false -wbmDBType DERBY_EMBEDDED -wbmDBName MONITOR -wbmDBSchemaName MONITOR -ceiDbProduct CEI_DB_DERBY_EMBEDDED -wbmCeiDbName EVENT -msDataStore true -configureHumanTask true -humanTaskWPSHostname wps.austin.ibm.com -humanTaskWPSRMIPort 2809 -configureBSpace true -samplesPassword superSecret

echo The WebSphere Business Monitor stand-alone profile (%PROFILE_NAME% using Database Type:%WBM_DB_TYPE% ) creation is under progress

%WBM_HOME%\bin\manageprofiles.bat -create -templatePath %TEMPLATE_PATH% -profileName %PROFILE_NAME% -profilePath %PROFILE_PATH% -cellName %CELL_NAME% -nodeName %NODE_NAME% -hostName %HOST_NAME% -enableAdminSecurity %ENABLE_ADMIN_SECURITY% -adminUserName %ADMIN_USER_NAME% -adminPassword %ADMIN_PASSWORD% -winserviceCheck %WINSERVICE_CHECK% -wbmDBType=%WBM_DB_TYPE% -wbmDBName %WBM_DB_NAME% -wbmDBSchemaName %WBM_DB_SCHEMA_NAME% -ceiDbProduct %CEI_DB_PRODUCT% -wbmCeiDbName %CEI_DB_NAME% -msDataStore %MS_DATA_STORE% -configureHumanTask %CONFIG_HUMAN_TASK% -humanTaskWPSHostname %HUMANTASK_WPS_HOSTNAME% -humanTaskWPSRMIPort %HUMANTASK_WPS_RMIPORT% -configureBSpace %CONFIG_BSPACE% -samplesPassword %SAMPLES_PASSWORD%

ENDLOCAL